Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2004-AVI-272

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 21 octobre 2004
No CERTA-2004-AVI-272-004

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Vulnérabilités du serveur tnftpd


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2004-AVI-272

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2004-AVI-272-004
Titre Vulnérabilités du serveur tnftpd
Date de la première version 19 août 2004
Date de la dernière version 21 octobre 2004
Source(s) Bulletin de sécurité NetBSD-SA2004-009 du 17 août 2004
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

Exécution de code arbitraire avec les droits de l'administrateur root.

2 Systèmes affectés

  • Versions du serveur tnftpd antérieures à la version 20040810 ;
  • versions du serveur NetBSD-ftpd antérieures à la version 20040809 ;
  • toutes les versions du serveur lukemftpd.

3 Résumé

De multiples vulnérabilités du serveur FTP lukemftpd / tnftpd /ftpd (Heimdal) permettent à un utilisateur d'obtenir les droits de l'administrateur root.

4 Description

Le serveur lukemftpd / tnftpd /ftpd (Heimdal) est un serveur FTP pour les plates-formes FreeBSD, NetBSD et MacOSX. On le retrouve également dans certaines distributions Linux.

Ce serveur n'est pas installé par défaut sur les plates-formes FreeBSD et NetBSD.

Plusieurs vulnérabilités ont été découvertes sur le serveur FTP lukemftpd / tnftpd / ftpd (Heimdal). Elles permettent à un utilisateur distant d'exécuter du code arbitraire avec les privilèges de l'utilisateur root.

Si le serveur est lancé avec l'option "-r", l'attaquant n'obtiendra que les droits d'un utilisateur ftp non privilégié.

5 Solution

Se référer au bulletin de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

19 août 2004
version initiale.
08 septembre 2004
ajout de la référence au bulletin de sécurité Apple et de la référence CVE.
15 septembre 2004
ajout de la référence au bulletin de sécurité Heimdal et à la mise à jour de sécurité du paquetage NetBSD heimdal.
22 septembre 2004
ajout de la référence au bulletin de sécurité Debian.
21 octobre 2004
ajout de la référence au bulletin de sécurité Sun #57655 pour ftpd (Heimdal) livré avec Sun Java Desktop System (JDS).


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-04-20